## r-cran-pbdzmq 0.2.5+dfsg

=== DESCRIPTION ===
Package: pbdZMQ
Version: 0.2-5
Date: 2016-12-17
Title: Programming with Big Data -- Interface to ZeroMQ
Authors@R: c(person("Wei-Chen", "Chen", role = c("aut", "cre"), email =
        "wccsnow@gmail.com"),
        person("Drew", "Schmidt", role = "aut"),
        person("Christian", "Heckendorf", role = "aut", comment = "file transfer"),
        person("George", "Ostrouchov", role = "aut", comment = "Mac OSX"),
        person("Whit", "Armstrong", role = "ctb", comment = "some functions
                are modified from the rzmq package for backwards compatibility"),
        person("Brian", "Ripley", role = "ctb",
               comment = "C code of shellexec, and Solaris"),
        person("R Core team", role = "ctb", comment = "some functions are
                modified from the R source code"),
        person("Philipp", "A.", role = "ctb", comment = "Fedora"))
Depends: R (>= 3.0.0)
Imports: R6
Enhances: pbdRPC, remoter
LazyLoad: yes
LazyData: yes
Copyright: See files AUTHORS, COPYING, COPYING.LESSER, and MAINTAINERS
        in pbdZMQ/inst/zmq_copyright/ for the ZeroMQ source files in
        src/zmq_src/ which are under GPL-3.
Description: 'ZeroMQ' is a well-known library for high-performance
    asynchronous messaging in scalable, distributed applications.  This
    package provides high level R wrapper functions to easily utilize
    'ZeroMQ'. We mainly focus on interactive client/server programming
    frameworks. For convenience, a minimal 'ZeroMQ' library (4.1.0 rc1)
    is shipped with 'pbdZMQ', which can be used if no system installation
    of 'ZeroMQ' is available.  A few wrapper functions compatible with
    'rzmq' are also provided.
SystemRequirements: Linux, Mac OSX, and Windows, or ZeroMQ library >=
        4.0.4. Solaris 10 needs ZeroMQ library 4.0.7 and OpenCSW.
License: GPL-3
URL: http://r-pbd.org/
BugReports: http://group.r-pbd.org/
MailingList: Please send questions and comments regarding pbdR to
        RBigData@gmail.com
NeedsCompilation: yes
Maintainer: Wei-Chen Chen <wccsnow@gmail.com>
Packaged: 2016-12-17 14:03:32 UTC; snoweye
Author: Wei-Chen Chen [aut, cre],
  Drew Schmidt [aut],
  Christian Heckendorf [aut] (file transfer),
  George Ostrouchov [aut] (Mac OSX),
  Whit Armstrong [ctb] (some functions are modified from the rzmq package
    for backwards compatibility),
  Brian Ripley [ctb] (C code of shellexec, and Solaris),
  R Core team [ctb] (some functions are modified from the R source code),
  Philipp A. [ctb] (Fedora)
Repository: CRAN
Date/Publication: 2016-12-18 11:23:01

## r-cran-pbdzmq 0.2.3+dfsg

=== debian/changelog ===
r-cran-pbdzmq (0.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 May 2016 14:32:59 +0200

r-cran-pbdzmq (0.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update to standards version 3.9.8
  * Install the provided unit test (and run it for autopkgtest)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 13 May 2016 16:04:03 +0200

r-cran-pbdzmq (0.2.1+dfsg2-2) unstable; urgency=medium

  * Fix broken autopkgtest.
  * Now maintained in debian-science team.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 25 Mar 2016 12:12:47 +0100

r-cran-pbdzmq (0.2.1+dfsg2-1) unstable; urgency=medium

  * Initial release. (Closes: #814737)

 -- Gordon Ball <gordon@chronitis.net>  Sun, 20 Mar 2016 18:43:22 +0100

=== debian/control ===
Source: r-cran-pbdzmq
Section: gnu-r
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Build-Depends: cdbs,
               debhelper (>= 9),
               libzmq3-dev (>= 4.0.4),
               pkg-config,
               r-base-dev (>= 3),
               r-cran-r6
Standards-Version: 3.9.8
Homepage: https://cran.r-project.org/web/packages/pbdZMQ/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-pbdzmq.git/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-pbdzmq.git

Package: r-cran-pbdzmq
Architecture: any
Depends: r-cran-r6,
         ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: R bindings for ZeroMQ from the pbdR project
 A set of bindings for the well-known ZeroMQ communication library.
 pbdZMQ wraps the C API in higher-level R functions and supports several
 common ZeroMQ patterns including request-reply and push-pull. Some
 compatibility functions are included for existing code using rzmq.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/pbdZMQ_([\d.]+)-(\d+)\.tar\.gz/r-cran-pbdzmq-$1.$2\.tar\.gz/,dversionmangle=s/([\d.]+)\.(\d+)\+dfsg.*$/$1-$2/,repacksuffix=+dfsg \
https://cran.r-project.org/src/contrib/pbdZMQ_([-\d.]*)\.tar\.gz

## r-cran-pbdzmq 0.2.5+dfsg

=== debian/changelog ===
r-cran-pbdzmq (0.2.5+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Gordon Ball ]
  * New upstream release.

  [ Andreas Tille ]
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2017 16:21:10 +0100

r-cran-pbdzmq (0.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release: 0.2-4
  * Switch to using dh-r for build
  * Use the canonical CRAN URL for the homepage
  * Install the upstream changelog

 -- Gordon Ball <gordon@chronitis.net>  Sat, 08 Oct 2016 13:51:02 +0200

=== debian/control ===
Source: r-cran-pbdzmq
Section: gnu-r
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Build-Depends: dh-r,
               debhelper (>= 10),
               libzmq3-dev (>= 4.0.4),
               pkg-config,
               r-base-dev (>= 3),
               r-cran-r6
Standards-Version: 3.9.8
Homepage: https://cran.r-project.org/package=pbdZMQ
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-pbdzmq.git/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-pbdzmq.git

Package: r-cran-pbdzmq
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R bindings for ZeroMQ from the pbdR project
 A set of bindings for the well-known ZeroMQ communication library.
 pbdZMQ wraps the C API in higher-level R functions and supports several
 common ZeroMQ patterns including request-reply and push-pull. Some
 compatibility functions are included for existing code using rzmq.

## r-cran-pbdzmq 0.2.6+dfsg

=== debian/changelog ===
r-cran-pbdzmq (0.2.6+dfsg-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Sep 2017 14:16:07 +0000

r-cran-pbdzmq (0.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 15 May 2017 22:00:09 +0200

## r-cran-pbdzmq 0.3.2+dfsg

=== DESCRIPTION ===
Package: pbdZMQ
Version: 0.3-2
Date: 2018-01-11
Title: Programming with Big Data -- Interface to 'ZeroMQ'
Authors@R: c(person("Wei-Chen", "Chen", role = c("aut", "cre"), email =
        "wccsnow@gmail.com"),
        person("Drew", "Schmidt", role = "aut"),
        person("Christian", "Heckendorf", role = "aut", comment = "file transfer"),
        person("George", "Ostrouchov", role = "aut", comment = "Mac OSX"),
        person("Whit", "Armstrong", role = "ctb", comment = "some functions
                are modified from the rzmq package for backwards compatibility"),
        person("Brian", "Ripley", role = "ctb",
               comment = "C code of shellexec, and Solaris"),
        person("R Core team", role = "ctb", comment = "some functions are
                modified from the R source code"),
        person("Philipp", "A.", role = "ctb", comment = "Fedora"),
        person("Elliott Sales", "de Andrade", role = "ctb", comment = "sprintf"),
        person("Spencer", "Aiello", role = "ctb", comment = "windows conf")
	)
Depends: R (>= 3.2.0)
LazyLoad: yes
LazyData: yes
Copyright: See files AUTHORS, COPYING, COPYING.LESSER, and MAINTAINERS
        in 'pbdZMQ/inst/zmq_copyright/' for the 'ZeroMQ' source files
        in 'src/zmq_src/' which are under GPL-3.
Description: 'ZeroMQ' is a well-known library for high-performance
    asynchronous messaging in scalable, distributed applications.  This
    package provides high level R wrapper functions to easily utilize
    'ZeroMQ'. We mainly focus on interactive client/server programming
    frameworks. For convenience, a minimal 'ZeroMQ' library (4.2.2)
    is shipped with 'pbdZMQ', which can be used if no system installation
    of 'ZeroMQ' is available.  A few wrapper functions compatible with
    'rzmq' are also provided.
SystemRequirements: Linux, Mac OSX, and Windows, or 'ZeroMQ' library >=
        4.0.4. Solaris 10 needs 'ZeroMQ' library 4.0.7 and 'OpenCSW'.
License: GPL-3
URL: http://r-pbd.org/
BugReports: http://group.r-pbd.org/
MailingList: Please send questions and comments regarding pbdR to
        RBigData@gmail.com
NeedsCompilation: yes
Maintainer: Wei-Chen Chen <wccsnow@gmail.com>
RoxygenNote: 6.0.1
Packaged: 2018-01-31 01:22:48 UTC; snoweye
Author: Wei-Chen Chen [aut, cre],
  Drew Schmidt [aut],
  Christian Heckendorf [aut] (file transfer),
  George Ostrouchov [aut] (Mac OSX),
  Whit Armstrong [ctb] (some functions are modified from the rzmq package
    for backwards compatibility),
  Brian Ripley [ctb] (C code of shellexec, and Solaris),
  R Core team [ctb] (some functions are modified from the R source code),
  Philipp A. [ctb] (Fedora),
  Elliott Sales de Andrade [ctb] (sprintf),
  Spencer Aiello [ctb] (windows conf)
Repository: CRAN
Date/Publication: 2018-01-31 12:41:34 UTC

=== debian/changelog ===
r-cran-pbdzmq (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Files-Excluded patterns for version 0.3 (changed name of bundled
    ZMQ files)
  * Update Build-Depends; no longer imports R6
  * Update Standards-Version to 4.1.3
  * Update run-unit-test to use AUTOPKGTEST_TMP instead of ADTTMP, and run all
    test files in the new version

 -- Gordon Ball <gordon@chronitis.net>  Mon, 05 Feb 2018 19:05:57 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
                debhelper (>= 10),
                libzmq3-dev (>= 4.0.4),
                pkg-config,
-               r-base-dev (>= 3),
-               r-cran-r6
-Standards-Version: 3.9.8
+               r-base-dev (>= 3.2)
+Standards-Version: 4.1.3
 Homepage: https://cran.r-project.org/package=pbdZMQ
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-pbdzmq.git/
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-pbdzmq.git

## r-cran-pbdzmq 0.3.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pbdZMQ
-Version: 0.3-2
-Date: 2018-01-11
+Version: 0.3-3
+Date: 2018-04-30
 Title: Programming with Big Data -- Interface to 'ZeroMQ'
 Authors@R: c(person("Wei-Chen", "Chen", role = c("aut", "cre"), email =
         "wccsnow@gmail.com"),
@@ -35,13 +35,13 @@
         4.0.4. Solaris 10 needs 'ZeroMQ' library 4.0.7 and 'OpenCSW'.
 License: GPL-3
 URL: http://r-pbd.org/
-BugReports: http://group.r-pbd.org/
+BugReports: https://github.com/snoweye/pbdZMQ/issues
 MailingList: Please send questions and comments regarding pbdR to
         RBigData@gmail.com
 NeedsCompilation: yes
 Maintainer: Wei-Chen Chen <wccsnow@gmail.com>
 RoxygenNote: 6.0.1
-Packaged: 2018-01-31 01:22:48 UTC; snoweye
+Packaged: 2018-05-01 03:19:59 UTC; snoweye
 Author: Wei-Chen Chen [aut, cre],
   Drew Schmidt [aut],
   Christian Heckendorf [aut] (file transfer),
@@ -54,4 +54,4 @@
   Elliott Sales de Andrade [ctb] (sprintf),
   Spencer Aiello [ctb] (windows conf)
 Repository: CRAN
-Date/Publication: 2018-01-31 12:41:34 UTC
+Date/Publication: 2018-05-05 19:33:08 UTC

=== debian/changelog ===
r-cran-pbdzmq (0.3.3+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:26:33 +0000

r-cran-pbdzmq (0.3.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4
  * Add comment that libzmq3-dev is really needed

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 09:23:59 +0200

=== debian/control ===
Source: r-cran-pbdzmq
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               pkg-config,
# <dh-update-R>do not delete this</dh-update-R>
               libzmq3-dev (>= 4.0.4)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq.git
Homepage: https://cran.r-project.org/package=pbdZMQ

Package: r-cran-pbdzmq
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R bindings for ZeroMQ from the pbdR project
 A set of bindings for the well-known ZeroMQ communication library.
 pbdZMQ wraps the C API in higher-level R functions and supports several
 common ZeroMQ patterns including request-reply and push-pull. Some
 compatibility functions are included for existing code using rzmq.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/pbdZMQ_([\d.]+)-(\d+)\.tar\.gz/r-cran-pbdzmq-$1.$2\.tar\.gz/,dversionmangle=s/([\d.]+)\.(\d+)\+dfsg.*$/$1-$2/,repacksuffix=+dfsg \
https://cran.r-project.org/src/contrib/pbdZMQ_([-\d.]*)\.tar\.gz

## r-cran-pbdzmq 0.3.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pbdZMQ
-Version: 0.3-3
-Date: 2018-04-30
+Version: 0.3-5
+Date: 2021-02-09
 Title: Programming with Big Data -- Interface to 'ZeroMQ'
 Authors@R: c(person("Wei-Chen", "Chen", role = c("aut", "cre"), email =
         "wccsnow@gmail.com"),
@@ -15,9 +15,11 @@
                 modified from the R source code"),
         person("Philipp", "A.", role = "ctb", comment = "Fedora"),
         person("Elliott Sales", "de Andrade", role = "ctb", comment = "sprintf"),
-        person("Spencer", "Aiello", role = "ctb", comment = "windows conf")
+        person("Spencer", "Aiello", role = "ctb", comment = "windows conf"),
+        person("Paul", "Andrey", role = "ctb", comment = "Mac OSX conf"),
+        person("Panagiotis", "Cheilaris", role = "ctb", comment = "add serialize version")
 	)
-Depends: R (>= 3.2.0)
+Depends: R (>= 3.5.0)
 LazyLoad: yes
 LazyData: yes
 Copyright: See files AUTHORS, COPYING, COPYING.LESSER, and MAINTAINERS
@@ -33,15 +35,16 @@
     'rzmq' are also provided.
 SystemRequirements: Linux, Mac OSX, and Windows, or 'ZeroMQ' library >=
         4.0.4. Solaris 10 needs 'ZeroMQ' library 4.0.7 and 'OpenCSW'.
+StagedInstall: TRUE
 License: GPL-3
-URL: http://r-pbd.org/
+URL: https://pbdr.org/
 BugReports: https://github.com/snoweye/pbdZMQ/issues
 MailingList: Please send questions and comments regarding pbdR to
         RBigData@gmail.com
 NeedsCompilation: yes
 Maintainer: Wei-Chen Chen <wccsnow@gmail.com>
-RoxygenNote: 6.0.1
-Packaged: 2018-05-01 03:19:59 UTC; snoweye
+RoxygenNote: 7.1.1
+Packaged: 2021-02-10 02:24:39 UTC; snoweye
 Author: Wei-Chen Chen [aut, cre],
   Drew Schmidt [aut],
   Christian Heckendorf [aut] (file transfer),
@@ -52,6 +55,8 @@
   R Core team [ctb] (some functions are modified from the R source code),
   Philipp A. [ctb] (Fedora),
   Elliott Sales de Andrade [ctb] (sprintf),
-  Spencer Aiello [ctb] (windows conf)
+  Spencer Aiello [ctb] (windows conf),
+  Paul Andrey [ctb] (Mac OSX conf),
+  Panagiotis Cheilaris [ctb] (add serialize version)
 Repository: CRAN
-Date/Publication: 2018-05-05 19:33:08 UTC
+Date/Publication: 2021-02-10 06:50:02 UTC

=== debian/changelog ===
r-cran-pbdzmq (0.3.5+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.5+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Wed, 10 Feb 2021 07:48:41 +0000

r-cran-pbdzmq (0.3.4+dfsg-2) unstable; urgency=medium

  * d/watch: avoid incorrectly reporting that a new version is available

 -- Gordon Ball <gordon@chronitis.net>  Thu, 28 Jan 2021 19:51:52 +0000

r-cran-pbdzmq (0.3.4+dfsg-1) unstable; urgency=medium

  * d/watch: fix upstream version mangling
  * New upstream version 0.3.4+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Tue, 15 Dec 2020 09:14:44 +0000

r-cran-pbdzmq (0.3.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 11:21:32 +0100

r-cran-pbdzmq (0.3.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 11:52:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                pkg-config,
-# <dh-update-R>do not delete this</dh-update-R>
-               libzmq3-dev (>= 4.0.4)
-Standards-Version: 4.1.4
+               libzmq3-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq.git
 Homepage: https://cran.r-project.org/package=pbdZMQ
+Rules-Requires-Root: no
 
 Package: r-cran-pbdzmq
 Architecture: any

## r-cran-pbdzmq 0.3.7+dfsg

=== debian/changelog ===
r-cran-pbdzmq (0.3.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Contact.

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 22:59:58 +0100

r-cran-pbdzmq (0.3.6+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.6+dfsg
  * Standards-Version: 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 29 Oct 2021 18:10:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                pkg-config,
                libzmq3-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq.git
 Homepage: https://cran.r-project.org/package=pbdZMQ

## r-cran-pbdzmq 0.3.9+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pbdZMQ
-Version: 0.3-5
-Date: 2021-02-09
+Version: 0.3-9
+Date: 2022-12-24
 Title: Programming with Big Data -- Interface to 'ZeroMQ'
 Authors@R: c(person("Wei-Chen", "Chen", role = c("aut", "cre"), email =
         "wccsnow@gmail.com"),
@@ -17,14 +17,14 @@
         person("Elliott Sales", "de Andrade", role = "ctb", comment = "sprintf"),
         person("Spencer", "Aiello", role = "ctb", comment = "windows conf"),
         person("Paul", "Andrey", role = "ctb", comment = "Mac OSX conf"),
-        person("Panagiotis", "Cheilaris", role = "ctb", comment = "add serialize version")
+        person("Panagiotis", "Cheilaris", role = "ctb", comment = "add serialize version"),
+        person("ZeroMQ authors", role = c("aut", "cph"), comment = "source files in 'src/zmq_src/'")
 	)
 Depends: R (>= 3.5.0)
 LazyLoad: yes
-LazyData: yes
-Copyright: See files AUTHORS, COPYING, COPYING.LESSER, and MAINTAINERS
-        in 'pbdZMQ/inst/zmq_copyright/' for the 'ZeroMQ' source files
-        in 'src/zmq_src/' which are under GPL-3.
+Copyright: See files AUTHORS, COPYING, and COPYING.LESSER in
+        'inst/zmq_copyright/' for the 'ZeroMQ' source files in
+        'src/zmq_src/' which are under GPL-3.
 Description: 'ZeroMQ' is a well-known library for high-performance
     asynchronous messaging in scalable, distributed applications.  This
     package provides high level R wrapper functions to easily utilize
@@ -39,12 +39,10 @@
 License: GPL-3
 URL: https://pbdr.org/
 BugReports: https://github.com/snoweye/pbdZMQ/issues
-MailingList: Please send questions and comments regarding pbdR to
-        RBigData@gmail.com
 NeedsCompilation: yes
 Maintainer: Wei-Chen Chen <wccsnow@gmail.com>
-RoxygenNote: 7.1.1
-Packaged: 2021-02-10 02:24:39 UTC; snoweye
+RoxygenNote: 7.2.3
+Packaged: 2023-01-21 19:37:59 UTC; snoweye
 Author: Wei-Chen Chen [aut, cre],
   Drew Schmidt [aut],
   Christian Heckendorf [aut] (file transfer),
@@ -57,6 +55,7 @@
   Elliott Sales de Andrade [ctb] (sprintf),
   Spencer Aiello [ctb] (windows conf),
   Paul Andrey [ctb] (Mac OSX conf),
-  Panagiotis Cheilaris [ctb] (add serialize version)
+  Panagiotis Cheilaris [ctb] (add serialize version),
+  ZeroMQ authors [aut, cph] (source files in 'src/zmq_src/')
 Repository: CRAN
-Date/Publication: 2021-02-10 06:50:02 UTC
+Date/Publication: 2023-01-21 20:40:02 UTC

=== debian/changelog ===
r-cran-pbdzmq (0.3.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:15:56 +0100

r-cran-pbdzmq (0.3.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 09:58:46 +0100

## r-cran-pbdzmq 0.3.11+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pbdZMQ
-Version: 0.3-9
-Date: 2022-12-24
+Version: 0.3-11
+Date: 2024-01-13
 Title: Programming with Big Data -- Interface to 'ZeroMQ'
 Authors@R: c(person("Wei-Chen", "Chen", role = c("aut", "cre"), email =
         "wccsnow@gmail.com"),
@@ -18,6 +18,7 @@
         person("Spencer", "Aiello", role = "ctb", comment = "windows conf"),
         person("Paul", "Andrey", role = "ctb", comment = "Mac OSX conf"),
         person("Panagiotis", "Cheilaris", role = "ctb", comment = "add serialize version"),
+        person("Jeroen", "Ooms", role = "ctb", comment = "clang++ on MacOS ARM64"),
         person("ZeroMQ authors", role = c("aut", "cph"), comment = "source files in 'src/zmq_src/'")
 	)
 Depends: R (>= 3.5.0)
@@ -42,7 +43,7 @@
 NeedsCompilation: yes
 Maintainer: Wei-Chen Chen <wccsnow@gmail.com>
 RoxygenNote: 7.2.3
-Packaged: 2023-01-21 19:37:59 UTC; snoweye
+Packaged: 2024-01-15 18:58:54 UTC; snoweye
 Author: Wei-Chen Chen [aut, cre],
   Drew Schmidt [aut],
   Christian Heckendorf [aut] (file transfer),
@@ -56,6 +57,7 @@
   Spencer Aiello [ctb] (windows conf),
   Paul Andrey [ctb] (Mac OSX conf),
   Panagiotis Cheilaris [ctb] (add serialize version),
+  Jeroen Ooms [ctb] (clang++ on MacOS ARM64),
   ZeroMQ authors [aut, cph] (source files in 'src/zmq_src/')
 Repository: CRAN
-Date/Publication: 2023-01-21 20:40:02 UTC
+Date/Publication: 2024-01-15 21:00:02 UTC

=== debian/changelog ===
r-cran-pbdzmq (0.3.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 13:34:25 +0100

r-cran-pbdzmq (0.3.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 11 Sep 2023 05:40:40 +0200

## r-cran-pbdzmq 0.3.13+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pbdZMQ
-Version: 0.3-11
-Date: 2024-01-13
+Version: 0.3-13
+Date: 2024-09-15
 Title: Programming with Big Data -- Interface to 'ZeroMQ'
 Authors@R: c(person("Wei-Chen", "Chen", role = c("aut", "cre"), email =
         "wccsnow@gmail.com"),
@@ -11,8 +11,8 @@
                 are modified from the rzmq package for backwards compatibility"),
         person("Brian", "Ripley", role = "ctb",
                comment = "C code of shellexec, and Solaris"),
-        person("R Core team", role = "ctb", comment = "some functions are
-                modified from the R source code"),
+        person("R Core team", role = "ctb", comment = "some functions and
+                headers are copied or modified from the R source code"),
         person("Philipp", "A.", role = "ctb", comment = "Fedora"),
         person("Elliott Sales", "de Andrade", role = "ctb", comment = "sprintf"),
         person("Spencer", "Aiello", role = "ctb", comment = "windows conf"),
@@ -43,7 +43,7 @@
 NeedsCompilation: yes
 Maintainer: Wei-Chen Chen <wccsnow@gmail.com>
 RoxygenNote: 7.2.3
-Packaged: 2024-01-15 18:58:54 UTC; snoweye
+Packaged: 2024-09-15 19:14:05 UTC; snoweye
 Author: Wei-Chen Chen [aut, cre],
   Drew Schmidt [aut],
   Christian Heckendorf [aut] (file transfer),
@@ -51,7 +51,8 @@
   Whit Armstrong [ctb] (some functions are modified from the rzmq package
     for backwards compatibility),
   Brian Ripley [ctb] (C code of shellexec, and Solaris),
-  R Core team [ctb] (some functions are modified from the R source code),
+  R Core team [ctb] (some functions and headers are copied or modified
+    from the R source code),
   Philipp A. [ctb] (Fedora),
   Elliott Sales de Andrade [ctb] (sprintf),
   Spencer Aiello [ctb] (windows conf),
@@ -60,4 +61,4 @@
   Jeroen Ooms [ctb] (clang++ on MacOS ARM64),
   ZeroMQ authors [aut, cph] (source files in 'src/zmq_src/')
 Repository: CRAN
-Date/Publication: 2024-01-15 21:00:02 UTC
+Date/Publication: 2024-09-17 08:40:02 UTC

=== debian/changelog ===
r-cran-pbdzmq (0.3.13+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.13+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Mon, 11 Nov 2024 22:40:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-pbdzmq
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Gordon Ball <gordon@chronitis.net>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq.git
+Homepage: https://cran.r-project.org/package=pbdZMQ
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                pkg-config,
                libzmq3-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq.git
-Homepage: https://cran.r-project.org/package=pbdZMQ
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-pbdzmq
 Architecture: any

=== debian/watch ===
version=4
opts=uversionmangle=s/([\d.]+)-(\d+)/$1.$2/,dversionmangle=auto,repacksuffix=+dfsg \
https://cran.r-project.org/src/contrib/pbdZMQ_([-\d.]*)\.tar\.gz

## r-cran-pbdzmq 0.3.14+dfsg

=== debian/changelog ===
r-cran-pbdzmq (0.3.14+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.14+dfsg
  * d/control: standards-version 4.7.3, drop rules-requires-root
  * d/control: update pkg-config build-dep to pkgconf

 -- Gordon Ball <gordon@chronitis.net>  Sun, 28 Dec 2025 20:59:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbdzmq.git
 Homepage: https://cran.r-project.org/package=pbdZMQ
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               pkg-config,
+               pkgconf,
                libzmq3-dev
 Testsuite: autopkgtest-pkg-r
